Export Test Result Table Detail

Prev Next
Post
/api/v1/Execution/projects/{projectId}/tests/{testId}/results/{batchId}/export-table-detail

Exports a tabular test result to a file

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project containing the execution

testId
integer (int32) Required

Test that was executed

batchId
integer (int32) Required

Batch containing the execution

Body parameters

Additional information about the export

object
fileFormat
string
Valid values[ "Xlsx", "Csv" ]
maxRecords
integer (int32)

Total number of records to return. Pass 0 to return all records.

onlyIncludeFailures
boolean

Whether to only include failed records

object
fileFormat
string
Valid values[ "Xlsx", "Csv" ]
maxRecords
integer (int32)

Total number of records to return. Pass 0 to return all records.

onlyIncludeFailures
boolean

Whether to only include failed records

object
fileFormat
string
Valid values[ "Xlsx", "Csv" ]
maxRecords
integer (int32)

Total number of records to return. Pass 0 to return all records.

onlyIncludeFailures
boolean

Whether to only include failed records

object
fileFormat
string
Valid values[ "Xlsx", "Csv" ]
maxRecords
integer (int32)

Total number of records to return. Pass 0 to return all records.

onlyIncludeFailures
boolean

Whether to only include failed records

Responses
200

OK

object
exportKey
string | null

Unique key for export

statusMessage
string | null

Status of export

isCompleted
boolean

Whether the export is complete or not

filename
string | null

Suggested name for file

mimeType
string | null

MimeType of returned file

contentBase64
string | null

Base64 string with file contents

404

Not Found

object
error
string | null